Subject: [Rats] RIV draft version 14

From: Guy Fedorkow <[email-masked]>
Date: Tue, 22 Mar 2022 12:52:13 +0000

Greetings Fellow Rodents,
  I uploaded a Version 14 of the RIV draft to address a couple of remaining comments from IESG review, and a few typos.  In the process of doing this, I noticed yet another typo ('encyption') which I'll fix with the next batch of editorial updates.

Enclosed are the diffs.

/guy
-----------------------------

  The first diff in Section 1.5 strives to eliminate an accidentally-implied dependence on an encrypted channel for reliable TPM-based attestation.  This is not the case, as the attestation evidence is separately signed by keys known only to the TPM.

4c4
< docname: draft-ietf-rats-tpm-based-network-device-attest-14
---
> docname: draft-ietf-rats-tpm-based-network-device-attest-13
386,392c386,391
<  reliably transports the collected Evidence from Attester to a Verifier to allow a management station to perform
<  a meaningful appraisal in Step 4. The transport
<  is typically carried out via a management network.
<  While not required for reliable attestation, an encrypted channel may be used to
<  provide integrity, authenticity, or confidentiality once attestation is complete.
<  It should be noted that critical attestation evidence from the TPM is signed by a key known only to TPM, and is not
<  dependent on encyption carried out as part of a reliable transport.
---
> reliably transports the collected Evidence from Attester to a Verifier to allow a management station to perform
> a meaningful appraisal in Step 4. The transport
> is typically carried out via a management network. The channel must provide
> integrity and authenticity, and, in some use cases, may also require confidentiality.
> It should be noted that critical attestation evidence from the TPM is signed by a key known only to TPM, and is not
> dependent on encyption carried out as part of a reliable transport.

In Section 3.3 I changed the location of an "out of scope" note to get it closer to the place where the out-of-scope work is noted

956c955
< {{IETF-Attestation-Information-Flow}} above assumes that the Verifier is trusted, while the Attester is not.  In a Peer-to-Peer application such as two routers negotiating a trust relationship, the two peers can each ask the other to prove software integrity.  In this application, the information flow is the same, but each side plays a role both as an Attester and a Verifier.  Each device issues a challenge, and each device responds to the other's challenge, as shown in {{Peer-to-peer-Information-Flow}}.  Peer-to-peer challenges, particularly if used to establish a trust relationship between routers, require devices to carry their own signed reference measurements (RIMs).  Devices may also have to carry Appraisal Policy for Evidence for each possible peer device so that each device has everything needed for remote attestation, without having to resort to a central authority.
---
> {{IETF-Attestation-Information-Flow}} above assumes that the Verifier is trusted, while the Attester is not.  In a Peer-to-Peer application such as two routers negotiating a trust relationship, the two peers can each ask the other to prove software integrity.  In this application, the information flow is the same, but each side plays a role both as an Attester and a Verifier.  Each device issues a challenge, and each device responds to the other's challenge, as shown in {{Peer-to-peer-Information-Flow}}.  Peer-to-peer challenges, particularly if used to establish a trust relationship between routers, require devices to carry their own signed reference measurements (RIMs).  Devices may also have to carry Appraisal Policy for Evidence for each possible peer device so that each device has everything needed for remote attestation, without having to resort to a central authority.  Details of peer-to-peer operation are out of scope for this document.
992d990
< Details of peer-to-peer operation are out of scope for this document.

The rest are literally commas and dashes.

396c395
<   Attestation Result, used to inform decision-making.  In practice, this means comparing
---
>   Attestation Result, used to inform decision making.  In practice, this means comparing
398c397
<   by the Verifier.  Subsequently, the Appraisal Policy for Evidence might
---
>   by the Verifier.  Subsequently the Appraisal Policy for Evidence might
598c597
< | (e.g. GRUB2 for Linux)                     |      |              |
---
> | (e.g GRUB2 for Linux)                      |      |              |
864c863
< is based on the standard roles defined in {{I-D.ietf-rats-architecture}}.  However, additional prerequisites have been established to allow for interoperable RIV use case implementations.  These prerequisites are intended to provide sufficient context information so that the Verifier can acquire and evaluate measurements collected by the Attester.
---
> is based on the standard roles defined in {{I-D.ietf-rats-architecture}}.  However additional prerequisites have been established to allow for interoperable RIV use case implementations.  These prerequisites are intended to provide sufficient context information so that the Verifier can acquire and evaluate measurements collected by the Attester.
1102c1100
< A critical feature of the YANG model described in {{I-D.ietf-rats-yang-tpm-charra}} is the ability to carry TPM data structures in their TCG-defined format, without requiring any changes to the structures as they were signed and delivered by the TPM.  While alternate methods of conveying TPM quotes could compress out redundant information, or add another layer of signing using external keys, the implementation MUST preserve the TPM signing, so that tampering anywhere in the path between the TPM itself and the Verifier can be detected.
---
> A critical feature of the YANG model described in {{I-D.ietf-rats-yang-tpm-charra}} is the ability to carry TPM data structures in their native format, without requiring any changes to the structures as they were signed and delivered by the TPM.  While alternate methods of conveying TPM quotes could compress out redundant information, or add an additional layer of signing using external keys, the implementation MUST preserve the TPM signing, so that tampering anywhere in the path between the TPM itself and the Verifier can be detected.

Juniper Business Use Only